clear all;
close all;

offset = 200;
depth_fid = fopen('estDepthMap.txt', 'r');

no_row = fscanf(depth_fid, '%d', 1);
no_col = fscanf(depth_fid, '%d', 1);

Dd = zeros(no_row, no_col);
for i= 1: no_row
    for j = 1:no_col
        Dd(i, j) = fscanf(depth_fid, '%f', 1);
        if Dd(i, j) == 9999999 | Dd(i, j) > offset
            Dd(i, j) = NaN;
        end
    end
end
fclose(depth_fid);

grid_size = 1;

figure;
h = surf(-Dd(1:grid_size:no_row, 1:grid_size:no_col));
% axis equal;
colormap(ones(64, 3));
